set terminal postscript eps solid 14
set output "currQWT-longq.eps"
set pointsize 1
set xrange [0:77000]
set yrange [0:1080]
set title "QWT of HPM for long queues (1080 time units = 18 hrs)"
set ylabel "QWT in time units (60s)"
set xlabel "time/seconds"
set label "(a)" at graph -0.1,1.05 left font "Times-bold,20"

set label "Computing energy furnished:" at graph 0.95,0.57 right
set label "CE30 and CE31: 800 UCE/t.u." at graph 0.95,0.52 right
set label "CE32 and CE33: 1200 UCE/t.u." at graph 0.95,0.48 right
set label "CE34 and CE35: 1600 UCE/t.u." at graph 0.95,0.44 right
set label "CE36 and CE37: 2000 UCE/t.u." at graph 0.95,0.40 right
set label "CE38 and CE39: 2400 UCE/t.u." at graph 0.95,0.36 right

set label "Prices of HPM:" at graph 0.95,0.30 right
set label "CE30-32: price is 875 +/- 50" at graph 0.95,0.25 right
set label "CE33-36: price is 900 +/- 50" at graph 0.95,0.21 right
set label "CE37-39: price is 925 +/- 50" at graph 0.95,0.17 right 
set label "price adjustment interval: 10min." at graph 0.95,0.13 right
set label "price adjustment threshold is 2" at graph 0.95,0.09 right

set label "Utility function: price-sensitive" at graph 0.95,0.04 right

plot 'currQWT_CE30.dat' title "CE30" with lp pt 9, 'currQWT_CE31.dat' title "CE31" with lp pt 18, 'currQWT_CE32.dat' title "CE32" with lp pt 38, 'currQWT_CE33.dat' title "CE33" with lp pt 7, 'currQWT_CE34.dat' title "CE34" with lp pt 32, 'currQWT_CE35.dat' title "CE35" with lp pt 60, 'currQWT_CE36.dat' title "CE36" with lp pt 10, 'currQWT_CE37.dat' title "CE37" with lp pt 25, 'currQWT_CE38.dat' title "CE38" with lp pt 48, 'currQWT_CE39.dat' title "CE39" with lp pt 2
