set terminal postscript eps solid 14
set output "currQWT-mediumq.eps"
set pointsize 1
set xrange [0:77000]
set yrange [0:600]
set title "QWT of HPM for medium queues (600 time units = 10 hrs)"
set ylabel "QWT in time units (60s)"
set xlabel "time/seconds"
set label "(a)" at graph -0.1,1.05 left font "Times-bold,20"

set label "Computing energy furnished:" at graph 0.1,0.95 left
set label "CE20 and CE21: 800 UCE/t.u." at graph 0.1,0.9 left
set label "CE22 and CE23: 1200 UCE/t.u." at graph 0.1,0.86 left
set label "CE24 and CE25: 1600 UCE/t.u." at graph 0.1,0.82 left
set label "CE26 and CE27: 2000 UCE/t.u." at graph 0.1,0.78 left
set label "CE28 and CE29: 2400 UCE/t.u." at graph 0.1,0.74 left

set label "Prices of HPM:" at graph 0.5,0.95 left
set label "CE20-22: price is 975  +/- 50" at graph 0.5,0.9 left
set label "CE23-26: price is 1000 +/- 50" at graph 0.5,0.86 left
set label "CE27-29: price is 1025 +/- 50" at graph 0.5,0.82 left 
set label "price adjustment interval: 10min." at graph 0.5,0.78 left
set label "price adjustment threshold is 2" at graph 0.5,0.74 left

set label "Utility function: price-sensitive" at graph 0.5,0.69 left

plot 'currQWT_CE20.dat' title "CE20" with lp pt 9, 'currQWT_CE21.dat' title "CE21" with lp pt 18, 'currQWT_CE22.dat' title "CE22" with lp pt 38, 'currQWT_CE23.dat' title "CE23" with lp pt 7, 'currQWT_CE24.dat' title "CE24" with lp pt 32, 'currQWT_CE25.dat' title "CE25" with lp pt 60, 'currQWT_CE26.dat' title "CE26" with lp pt 10, 'currQWT_CE27.dat' title "CE27" with lp pt 25, 'currQWT_CE28.dat' title "CE28" with lp pt 48, 'currQWT_CE29.dat' title "CE29" with lp pt 2
