set terminal postscript eps solid 14
set output "currQWT-verylongq.eps"
set pointsize 1
set xrange [0:77000]
set yrange [0:1440]
set title "QWT of HPM for very long queues (1440 time units = 24 hrs)"
set ylabel "QWT in time units (60s)"
set xlabel "time/seconds"
set label "(a)" at graph -0.1,1.05 left font "Times-bold,20"

set label "Computing energy furnished:" at graph 0.95,0.57 right
set label "CE40 and CE41: 800 UCE/t.u." at graph 0.95,0.52 right
set label "CE42 and CE43: 1200 UCE/t.u." at graph 0.95,0.48 right
set label "CE44 and CE45: 1600 UCE/t.u." at graph 0.95,0.44 right
set label "CE46 and CE47: 2000 UCE/t.u." at graph 0.95,0.40 right
set label "CE48 and CE49: 2400 UCE/t.u." at graph 0.95,0.36 right

set label "Prices of HPM:" at graph 0.95,0.30 right
set label "CE40-42: price is 775 +/- 50" at graph 0.95,0.25 right
set label "CE43-46: price is 800 +/- 50" at graph 0.95,0.21 right
set label "CE47-49: price is 825 +/- 50" at graph 0.95,0.17 right
set label "price adjustment interval: 10min." at graph 0.95,0.13 right
set label "price adjustment threshold is 2" at graph 0.95,0.09 right

set label "Utility function: price-sensitive" at graph 0.95,0.04 right

plot 'currQWT_CE40.dat' title "CE40" with lp pt 9, 'currQWT_CE41.dat' title "CE41" with lp pt 18, 'currQWT_CE42.dat' title "CE42" with lp pt 38, 'currQWT_CE43.dat' title "CE43" with lp pt 7, 'currQWT_CE44.dat' title "CE44" with lp pt 32, 'currQWT_CE45.dat' title "CE45" with lp pt 60, 'currQWT_CE46.dat' title "CE46" with lp pt 10, 'currQWT_CE47.dat' title "CE47" with lp pt 25, 'currQWT_CE48.dat' title "CE48" with lp pt 48, 'currQWT_CE49.dat' title "CE49" with lp pt 2
