package org.edg.wl.dgas.dgassim.workload.rb;

import java.util.ArrayList;
import org.edg.wl.dgas.dgassim.*;
// import org.edg.wl.dgas.dgassim.monitor.*;

/**
   A <code><b>Matchmaker</b></code> is used by a
   {@link org.edg.wl.dgas.dgassim.workload.rb.ResourceBroker ResourceBroker}
   to find matching resources that are suitable for the submission of a
   given {@link org.edg.wl.dgas.dgassim.Job Job}. The set of matching resources
   is then passed to a
   {@link org.edg.wl.dgas.dgassim.workload.rb.UtilityModule UtilityModule} to
   select a particular resource.
 */
public interface Matchmaker {

    /**
       defines how to execute the matchmaking.
       @return An <code><b>ArrayList</b></code> of references to all matching
       {@link org.edg.wl.dgas.dgassim.fabric.ComputingElement ComputingElement}s.
       @param job the {@link org.edg.wl.dgas.dgassim.Job Job} for which to
       get a list of suitable
       {@link org.edg.wl.dgas.dgassim.fabric.ComputingElement ComputingElement}s.
     */
    public ArrayList getMatchingCEList(Job job);
}
